#include<bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int a,b,l,y,m,br=0;
    cin>>a>>b>>l;

    for(int k=a+b; k<=l ; k++)
    {

        for(int x=1; x<=k ; x++)
        {
            m=k-(a*x);

            if(m>0 && m%b==0)
            {
                br++;
                //cout<<"x="<<x<<" y="<<m/b<<" k="<<k<<endl;
                break;
            }

        }
    }

    cout<<l-br<<endl;
    return 0;
}
